<template>
    <div class="w-full mx-4">
        <div class="search">
            <div class="editor relative">
                <input v-model="keyword" type="text" name="keyword" class="text-md w-full rounded-r-lg rounded-bl-lg px-2 py-2" placeholder="search..." v-on:keyup="search" />
                <img src="./pix/gear.gif" class="absolute right-0 top-0 w-8 mt-1 mr-2" v-if="searching" style="right: 38px;" />
                <button title="clear" class="absolute right-0 top-0 w-8 mt-1 mr-2" v-on:click="clear">
                    <svg enable-background="new 0 0 320.941 320.941" viewBox="0 0 320.941 320.941" xmlns="http://www.w3.org/2000/svg"><path d="m290.853 40.118h-181.049c-9.06 0-17.551 4.016-23.301 11.038l-84.241 102.968c-3.017 3.692-3.017 9.001 0 12.693l84.251 102.978c5.739 7.013 14.231 11.028 23.291 11.028h181.048c16.592 0 30.088-13.497 30.088-30.088v-180.529c.001-16.592-13.496-30.088-30.087-30.088zm10.029 210.617c0 5.534-4.496 10.029-10.029 10.029h-181.049c-3.026 0-5.857-1.342-7.767-3.673l-79.05-96.621 79.04-96.611c1.92-2.341 4.75-3.683 7.777-3.683h181.048c5.534 0 10.029 4.496 10.029 10.029.001.001.001 180.53.001 180.53z"/><path d="m223.585 103.232-43.056 43.056-43.056-43.056-14.182 14.182 43.056 43.056-43.056 43.056 14.182 14.182 43.056-43.056 43.056 43.056 14.182-14.182-43.056-43.056 43.056-43.056z"/></svg>
                </button>
            </div>
            <div class="results bg-white">
                <div class="result border-b-2 border-gray-200 cursor-pointer px-2 py-1 w-full hover:bg-gray-200" v-for="result in results" v-on:click="select(result)">
                    <div class="place text-sm">{{result.name}}</div>
                    <div class="provider text-xs text-gray-400">{{result.affiliation}}</div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
import axios from 'axios'

export default {
    name: "WeeUsersAutocomplete",
    props: ["exclude"],
    data(){
        return {
            searching: false,
            results: []
        }
    },
    methods: {
        search(){
            let self = this;
            this.searching = true;
            axios.get(this.searchUrl+this.keyword).then(function(response){
                self.results = response.data.results;
                self.searching = false;
            }).catch((thrown) => function(){
                self.searching = false;
            });
        },
        clear(){
            this.results = [];
            this.keyword = "";
        },
        select(result){
            this.$emit('selected', result);
        }
    },
    computed: {
        searchUrl(){
            return '/user/like/';
        }
    }
}
</script>
<style>

</style>
